%define	name	qmail-masq
%define	version	0.2
%define	release	1mdk

Summary:	Masquerades internal IP for qmail
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.folug.linux.it/qmail-masq.html
Source:		%{name}-%{version}.tar.bz2
Requires:	perl qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a perl program that works with qmail, it masquerade the
internal mail users address with an external one when sending
email from local network users to the external internet users.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}/var/qmail/bin
install -m 755 %{name}.pl %{buildroot}/var/qmail/bin/%{name}.pl
install -m 644 qmail-masq.conf.example %{buildroot}%{_sysconfdir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog
%{_sysconfdir}/*
/var/qmail/bin/%{name}.pl

%changelog
* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2-1mdk
- initial cooker contrib
